Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBlankStructuredGrid Class Reference

`#include <vtkBlankStructuredGrid.h>`

Inheritance diagram for vtkBlankStructuredGrid:

[legend]
Collaboration diagram for vtkBlankStructuredGrid:

[legend]
List of all members.

## Detailed Description

translate point attribute data into a blanking field

Date:
  2002/01/22 15:29:07

Revision:
  1.7

vtkBlankStructuredGrid is a filter that sets the blanking field in a vtkStructuredGrid dataset. The blanking field is set by examining a specified point attribute data array (e.g., scalars) and converting values in the data array to either a "1" (visible) or "0" (blanked) value in the blanking array. The values to be blanked are specified by giving a min/max range. All data values in the data array indicated and laying within the range specified (inclusive on both ends) are translated to a "off" blanking value.

See also:
  vtkStructuredGrid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (88%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkBlankStructuredGrid.h)`
  - .`cxx` (`/Graphics/vtkBlankStructuredGrid.cxx)`

Tests:
  vtkBlankStructuredGrid (Tests)

Definition at line 55 of file vtkBlankStructuredGrid.h.

## Public Types
typedef vtkStructuredGridToStructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMinBlankingValue (float)
virtual float | GetMinBlankingValue ()
virtual void | SetMaxBlankingValue (float)
virtual float | GetMaxBlankingValue ()
virtual void | SetArrayName (const char *)
virtual char * | GetArrayName ()
virtual void | SetArrayId (int)
virtual int | GetArrayId ()
virtual void | SetComponent (int)
virtual int | GetComponent ()
## Static Public Methods
vtkBlankStructuredGrid * | New ()
int | IsTypeOf (const char *type)
vtkBlankStructuredGrid * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkBlankStructuredGrid ()
| ~vtkBlankStructuredGrid ()
void | Execute ()
## Protected Attributes
float | MinBlankingValue
float | MaxBlankingValue
char * | ArrayName
int | ArrayId
int | Component

## Member Typedef Documentation

typedef vtkStructuredGridToStructuredGridFilter vtkBlankStructuredGrid::Superclass

| Reimplemented from vtkStructuredGridToStructuredGridFilter. Definition at line 59 of file vtkBlankStructuredGrid.h.

## Constructor & Destructor Documentation

vtkBlankStructuredGrid::vtkBlankStructuredGrid | ( |  | ) | `[protected]`

vtkBlankStructuredGrid::~vtkBlankStructuredGrid | ( |  | ) | `[protected]`

## Member Function Documentation

vtkBlankStructuredGrid* vtkBlankStructuredGrid::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkBlankStructuredGrid::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridToStructuredGridFilter.

int vtkBlankStructuredGrid::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToStructuredGridFilter.

virtual int vtkBlankStructuredGrid::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToStructuredGridFilter.

vtkBlankStructuredGrid* vtkBlankStructuredGrid::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridToStructuredGridFilter.

void vtkBlankStructuredGrid::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredGridToStructuredGridFilter.

virtual void vtkBlankStructuredGrid::SetMinBlankingValue | ( | float |  | ) | `[virtual]`

| Specify the lower data value in the data array specified which will be converted into a "blank" (or off) value in the blanking array.

virtual float vtkBlankStructuredGrid::GetMinBlankingValue | ( |  | ) | `[virtual]`

| Specify the lower data value in the data array specified which will be converted into a "blank" (or off) value in the blanking array.

virtual void vtkBlankStructuredGrid::SetMaxBlankingValue | ( | float |  | ) | `[virtual]`

| Specify the upper data value in the data array specified which will be converted into a "blank" (or off) value in the blanking array.

virtual float vtkBlankStructuredGrid::GetMaxBlankingValue | ( |  | ) | `[virtual]`

| Specify the upper data value in the data array specified which will be converted into a "blank" (or off) value in the blanking array.

virtual void vtkBlankStructuredGrid::SetArrayName | ( | const char * |  | ) | `[virtual]`

| Specify the data array name to use to generate the blanking field. Alternatively, you can specify the array id. (If both are set, the array name takes precedence.)

virtual char* vtkBlankStructuredGrid::GetArrayName | ( |  | ) | `[virtual]`

| Specify the data array name to use to generate the blanking field. Alternatively, you can specify the array id. (If both are set, the array name takes precedence.)

virtual void vtkBlankStructuredGrid::SetArrayId | ( | int |  | ) | `[virtual]`

| Specify the data array id to use to generate the blanking field. Alternatively, you can specify the array name. (If both are set, the array name takes precedence.)

virtual int vtkBlankStructuredGrid::GetArrayId | ( |  | ) | `[virtual]`

| Specify the data array id to use to generate the blanking field. Alternatively, you can specify the array name. (If both are set, the array name takes precedence.)

virtual void vtkBlankStructuredGrid::SetComponent | ( | int |  | ) | `[virtual]`

| Specify the component in the data array to use to generate the blanking field.

virtual int vtkBlankStructuredGrid::GetComponent | ( |  | ) | `[virtual]`

| Specify the component in the data array to use to generate the blanking field.

void vtkBlankStructuredGrid::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkBlankStructuredGrid::MinBlankingValue`[protected]`

| Definition at line 105 of file vtkBlankStructuredGrid.h.

float vtkBlankStructuredGrid::MaxBlankingValue`[protected]`

| Definition at line 106 of file vtkBlankStructuredGrid.h.

char* vtkBlankStructuredGrid::ArrayName`[protected]`

| Definition at line 107 of file vtkBlankStructuredGrid.h.

int vtkBlankStructuredGrid::ArrayId`[protected]`

| Definition at line 108 of file vtkBlankStructuredGrid.h.

int vtkBlankStructuredGrid::Component`[protected]`

| Definition at line 109 of file vtkBlankStructuredGrid.h.

The documentation for this class was generated from the following file:

- Graphics/vtkBlankStructuredGrid.h